#include <stdio.h>

int main()
{
    int k,z;
    unsigned long long cena;
    scanf("%llu",&cena);
    z=0;
    while(cena>0)
    {
        k=cena%10;
        cena/=10;
        if(k>=5){ z++; k-=5;}
        if(k==3 || k==4){ z+=2;}else if(k==1 || k==2){z++;}
        
    }
    printf("%d",z);

}